
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 04/JUL/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Fri Oct 26 20:30:05 EST 2007, v0.03 sdy

  This is Error.h, part of Error.

  See Error.cpp for implementation details.

*/

//  PACKAGE

#include "Error.h"

Error::Error(const int code, const std::string & message) :
   code_(code),
   message_(message)
{
}

Error::Error(const int code) :
   code_(code),
   message_()
{
}

Error::Error(const std::string & message) :
   code_(-1),
   message_(message)
{
}

Error::Error() :
  code_(-1),
  message_()
{
}

Error::~Error()
{
}

const char*
Error::what() const
{
  return message_.c_str();
}

const int
Error::code() const
{
  return code_;
}




